for (var i = 0; cactusArray [i] != undefined; i++)
{if (cactusArray [i] [0] != false) {if (world.getBlockID(cactusArray [i] [1] [0], cactusArray [i] [1] [1], 
cactusArray [i] [1] [2]) != 81) {cactusArray [i] [0] = false;}
if (cactusArray [i] [2] <= gameTiming) {cactusArray [i] [0] = false;
world.setBlockID(cactusArray [i] [1] [0], cactusArray [i] [1] [1]+1, cactusArray [i] [1] [2], 81);
if (world.getBlockID(cactusArray [i] [1] [0], cactusArray [i] [1] [1]-1, cactusArray [i] [1] [2]) != 81
|| Math.random()*2 > 1.6) {for (i = 0; torchArray [i] != undefined && torchArray [i] [0] == true; i++) {} 
cactusArray [i] = [true, [cactusArray [i] [1] [0], cactusArray [i] [1] [1]+1, cactusArray [i] [1] [2]], 
gameTiming + 1000 + Math.random()*1000];}}}

if (getBlock != null && cactusArray [i] [1] [0] == getBlock.x && cactusArray [i] [1] [1] == getBlock.y
&& cactusArray [i] [1] [2] == getBlock.z) {} else {}} // DRAW SOMETHING WHEN MOUSE ACTIVE 